package com.njzscloud.common.security.support;

import com.njzscloud.common.security.module.code.CodeLoginForm;
import com.njzscloud.common.security.module.password.PasswordLoginForm;
import com.njzscloud.common.security.module.wechat.mini.WechatMiniLoginForm;

public interface IUserService {
    default UserDetail selectUser(CodeLoginForm form) {
        return null;
    }

    default UserDetail selectUser(PasswordLoginForm form) {
        return null;
    }

    default UserDetail selectUser(WechatMiniLoginForm form) {
        return null;
    }

    default UserDetail my() {
        return null;
    }
}
